Subject: Re: [PATCH] add -p: introduce 'w' command to view hunk with --word-diff

From: Junio C Hamano <[email-masked]>
Date: Tue, 12 May 2026 09:04:10 +0900

"D. Ben Knoble" <[email-masked]> writes:

>> >      :show <opts>
> ...
> - ":" is an exception to single-key mode and always allows more text
> to compose a longer-form "command". The first command could be "print"
> which takes options of this kind.
>
> Since ":" would be new, exempting it from single-key mode shouldn't be
> too jarring I guess.

OK.  And we can use ':blah' to rarely used actions and give them
descriptive names.  Makes sense.  word-diff sounds like a good
candidate but it is not immediately obvious to me if machinery to
set up the "colon is special and handles longhand commands with
possible arguments" is worth doing.